Apache JMeter

## org.apache.jmeter.monitor.model
Class RequestInfoImpl

    java.lang.Object
      org.apache.jmeter.monitor.model.RequestInfoImpl

All Implemented Interfaces:
  RequestInfo

    public class RequestInfoImpl

extends Object
implements RequestInfo

Version:
  $Revision: 674365 $

Constructor Summary
`RequestInfoImpl()`

Method Summary
`long` `getBytesReceived()`
`long` `getBytesSent()`
`long` `getErrorCount()`
`int` `getMaxTime()`
`int` `getProcessingTime()`
`long` `getRequestCount()`
`void` `setBytesReceived(long value)`
`void` `setBytesSent(long value)`
`void` `setErrorCount(long value)`
`void` `setMaxTime(int value)`
`void` `setProcessingTime(int value)`
`void` `setRequestCount(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestInfoImpl

    public RequestInfoImpl()

Method Detail

### getBytesReceived

    public long getBytesReceived()

  Specified by:
    `getBytesReceived` in interface `RequestInfo`

### setBytesReceived

    public void setBytesReceived(long value)

  Specified by:
    `setBytesReceived` in interface `RequestInfo`

### getBytesSent

    public long getBytesSent()

  Specified by:
    `getBytesSent` in interface `RequestInfo`

### setBytesSent

    public void setBytesSent(long value)

  Specified by:
    `setBytesSent` in interface `RequestInfo`

### getRequestCount

    public long getRequestCount()

  Specified by:
    `getRequestCount` in interface `RequestInfo`

### setRequestCount

    public void setRequestCount(long value)

  Specified by:
    `setRequestCount` in interface `RequestInfo`

### getErrorCount

    public long getErrorCount()

  Specified by:
    `getErrorCount` in interface `RequestInfo`

### setErrorCount

    public void setErrorCount(long value)

  Specified by:
    `setErrorCount` in interface `RequestInfo`

### getMaxTime

    public int getMaxTime()

  Specified by:
    `getMaxTime` in interface `RequestInfo`

### setMaxTime

    public void setMaxTime(int value)

  Specified by:
    `setMaxTime` in interface `RequestInfo`

### getProcessingTime

    public int getProcessingTime()

  Specified by:
    `getProcessingTime` in interface `RequestInfo`

### setProcessingTime

    public void setProcessingTime(int value)

  Specified by:
    `setProcessingTime` in interface `RequestInfo`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.